<template>
  <div class="safetyManagement_box">
    <My-bread :list="['运维管理', '安全管理']"></My-bread>
    <el-divider />
    <div class="inquire">
      <el-form ref="formData1" :model="form" :inline="true">
        <el-form-item label="角色名称" prop="name">
          <el-input v-model="form.name" placeholder="请输入" />
        </el-form-item>
        <el-form-item label="权限字符" prop="jurisdiction">
          <el-input v-model="form.jurisdiction" placeholder="请输入" />
        </el-form-item>
        <el-form-item label="角色状态" prop="region">
          <el-select v-model="form.region" placeholder="请选择">
            <el-option label="Zone one" value="shanghai" />
            <el-option label="Zone two" value="beijing" />
          </el-select>
        </el-form-item>

        <el-form-item>
          <el-button type="primary" @click="onSubmit" icon="el-icon-search"
            >查询</el-button
          >
          <el-button @click="resetForm(formData)">重置</el-button>
        </el-form-item>
      </el-form>
      <div class="btn_box">
        <el-button icon="el-icon-circle-plus-outline">添加</el-button>
        <el-button type="primary">修改</el-button>
        <el-button>导出</el-button>
        <el-button class="del_btn">删除</el-button>
      </div>
    </div>
    <div class="table_box">
      <el-table :data="tableData" stripe style="width: 100%">
        <el-table-column type="selection" width="55" />
        <el-table-column prop="number" label="角色编号" />
        <el-table-column prop="name" label="角色名称" />
        <el-table-column prop="ip" label="IP地址" />
        <el-table-column prop="effectivedate" label="生效日期" />
        <el-table-column prop="applicant" label="申请人" />
        <el-table-column prop="status" label="状态" />
        <el-table-column fixed="right" label="操作" width="280">
          <template #default>
            <el-button text type="primary" size="small">编辑</el-button>
            <el-button text type="primary" size="small">删除</el-button>
          </template>
        </el-table-column>
      </el-table>
      <div style="margin-top: 40px" class="pagination_box">
        <el-pagination
          @size-change="handleSizeChange"
          @current-change="handleCurrentChange"
          :current-page="currentPage4"
          :page-sizes="[10, 20, 50, 100]"
          :page-size="10"
          layout="total, sizes, prev, pager, next, jumper"
          :total="5"
        >
        </el-pagination>
      </div>
    </div>
  </div>
</template>

<script>
import MyBread from '../../components/MyBread.vue';

export default {
  //import引入的组件需要注入到对象中才能使用
  components: {
    MyBread,
  },

  data() {
    return {
      currentPage4: 1,
      form: {
        name: '',
        region: '',
        jurisdiction: '',
      },
      tableData: [
        {
          number: '1',
          name: 'dads',
          ip: '192.168.11.1',
          effectivedate: '2020-08-10',
          applicant: 'admin',
          status: '开发部分权限',
        },
        {
          number: '1',
          name: 'dads',
          ip: '192.168.11.1',
          effectivedate: '2020-08-10',
          applicant: 'admin',
          status: '开发部分权限',
        },
        {
          number: '2',
          name: 'dads',
          ip: '192.168.11.1',
          effectivedate: '2020-08-10',
          applicant: 'admin',
          status: '部分拉黑',
        },
        {
          number: '3',
          name: 'dads',
          ip: '192.168.11.1',
          effectivedate: '2020-08-10',
          applicant: 'admin',
          status: '开发部分权限',
        },
        {
          number: '4',
          name: 'dads',
          ip: '192.168.11.1',
          effectivedate: '2020-08-10',
          applicant: 'admin',
          status: '开发部分权限',
        },
        {
          number: '5',
          name: 'dads',
          ip: '192.168.11.1',
          effectivedate: '2020-08-10',
          applicant: 'admin',
          status: '开发部分权限',
        },
      ],
    };
  },
  methods: {
    handleSizeChange(val) {
      console.log(`每页 ${val} 条`);
    },
    handleCurrentChange(val) {
      console.log(`当前页: ${val}`);
    },
    onSubmit() {
      console.log('submit!');
    },
    resetForm() {},
  },
  created() {},
};
</script>
<style lang="less" scoped>
//@import url(); 引入公共css类
.safetyManagement_box {
  background: rgb(240, 242, 245);
  border-radius: 10px;
  height: 100%;
  padding: 10px;

  .inquire {
    padding: 10px;
    margin-top: 20px;
    background: #fff;
    border-radius: 5px;
    border: 1px solid rgb(202, 201, 204);
    margin-bottom: 20px;
    .btn_box {
      display: flex;
      .del_btn {
        margin-left: auto;
      }
    }
    /deep/.el-form-item__label {
      color: white;
    }
  }
  .table_box {
    padding: 10px;
    background: #fff;
    border-radius: 5px;
    border: 1px solid rgb(202, 201, 204);
  }
}
</style>
